<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core.infrastructure</groupId>
        <artifactId>schema</artifactId>
        <version>1.9.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime.core.infrastructure.schema</groupId>
    <artifactId>schema-impl</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INFRASTRUCTURE :: SCHEMA :: IMPL</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: CORE :: INFRASTRUCTURE :: SCHEMA :: IMPL</description>

    <properties>
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.platform.runtime.core.infrastructure.schema.api.*,
            javax.persistence;version="[2,3)",
            org.hibernate.proxy,
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.platform.runtime.core.infrastructure.schema.resolver.resource.*,
            ru.entaxy.esb.platform.runtime.core.infrastructure.schema.impl.*,
        </bundle.osgi.export.pkg>
        <org.osgi.annotations>1.4.0</org.osgi.annotations>
        <!-- bundle.osgi.private.pkg>
        	ru.entaxy.esb.platform.runtime.core.infrastructure.schema.exception
        </bundle.osgi.private.pkg -->
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.core</artifactId>
            <version>${osgi.version}</version>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-envers</artifactId>
            <version>${hibernate.version}</version>
        </dependency>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>${xerces.version}</version>
			<exclusions>
		        <exclusion>
		          <groupId>xml-apis</groupId>
		          <artifactId>xml-apis</artifactId>
		        </exclusion>
      		</exclusions> 
        </dependency>
        <dependency>
            <groupId>org.apache.aries.blueprint</groupId>
            <artifactId>org.apache.aries.blueprint.api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
        <dependency>
        	<groupId>
        		ru.entaxy.esb.platform.runtime.core.infrastructure.schema
        	</groupId>
        	<artifactId>schema-api</artifactId>
        	<version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-file</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.service.component.annotations</artifactId>
            <version>${org.osgi.annotations}</version>
        </dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
			<artifactId>resources-api</artifactId>
			<version>${project.version}</version>
		</dependency>	         
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
		  <artifactId>resources-api</artifactId>
		  <version>${project.version}</version>
	  </dependency>	  
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
		  <artifactId>resources-service</artifactId>
		  <version>${project.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.cxf</groupId>
		  <artifactId>cxf-rt-wsdl</artifactId>
		  <version>${cxf.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
		  <artifactId>object-producer-api</artifactId>
		  <version>${project.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
		  <artifactId>object-producer-core</artifactId>
		  <version>${project.version}</version>
	  </dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
			<artifactId>core-support-runtime</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
			<artifactId>core-support-design</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>io.swagger.core.v3</groupId>
			<artifactId>swagger-models</artifactId>
			<version>${swagger.v3.version}</version>
		</dependency>
    </dependencies>
</project>
